/**
 * Created by victor vieira on 22/06/2018
 */
var map = mapperFactory.createMapper("EstProdReqTransfSld");
var obj = message.get('obj');

try {

    map.selectList("EstProdReqTransfSld.setDadosParaRessupDemanda", obj);
    map.commit();

    var buscaEncomendaGrouByFilial = map.selectList("EstProdReqTransfSld.selectControlePontoEncomendaPorFilial", {
        'cdUsu': obj.get('cdUsu')
    });
    var resultado = {
        "buscaEncomenda": buscaEncomendaGrouByFilial
    };
    resultado;

} catch (err) {
    map.rollback();
    throw " Ocorreu um erro: " + err;
}